/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomProcessingInstruction_H___INT_
#define __GdomProcessingInstruction_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomNode.h"
#include "GDOMObject.h"
#include "ProcessingInstruction.h"
G_BEGIN_DECLS
class GDOMProcessingInstruction : public GDOMNode {
    typedef GDOMNode Base;
public:
    int get_gobj_type() { return GDOM_TYPE_PROCESSING_INSTRUCTION; }
    GDOMProcessingInstruction(PassRefPtr<WebCore::ProcessingInstruction> impl);
};
G_END_DECLS

#endif /* __GdomProcessingInstruction_H___INT_*/
